XMLEntityDescriptionImpl (Xerces2 Implementation)
Date: 2016-02-03

org.apache.xerces.util

## Class XMLEntityDescriptionImpl

- java.lang.Object
- - org.apache.xerces.util.XMLResourceIdentifierImpl
  - - org.apache.xerces.util.XMLEntityDescriptionImpl

- All Implemented Interfaces:
    XMLEntityDescription, org.apache.xerces.xni.XMLResourceIdentifier

      public class XMLEntityDescriptionImpl
      extends XMLResourceIdentifierImpl
      implements XMLEntityDescription

  This class is an implementation of the XMLEntityDescription interface which describes the properties of an entity.

  Version:
    $Id: XMLEntityDescriptionImpl.java 447241 2006-09-18 05:12:57Z mrglavas $
  Author:
    Michael Glavassevich, IBM

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fEntityName` The name of the entity.

    - ### Fields inherited from class org.apache.xerces.util.XMLResourceIdentifierImpl

      `fBaseSystemId, fExpandedSystemId, fLiteralSystemId, fNamespace, fPublicId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLEntityDescriptionImpl()` Constructs an empty entity description.
    `XMLEntityDescriptionImpl(java.lang.String entityName, java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId)` Constructs an entity description.
    `XMLEntityDescriptionImpl(java.lang.String entityName, java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId, java.lang.String namespace)` Constructs a resource identifier.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values.
    `java.lang.String` | `getEntityName()` Returns the name of the entity.
    `int` | `hashCode()` Returns a hash code for this object.
    `void` | `setDescription(java.lang.String entityName, java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId)` Sets the values of this entity description.
    `void` | `setDescription(java.lang.String entityName, java.lang.String publicId, java.lang.String literalSystemId, java.lang.String baseSystemId, java.lang.String expandedSystemId, java.lang.String namespace)` Sets the values of this entity description.
    `void` | `setEntityName(java.lang.String name)` Sets the name of the entity.
    `java.lang.String` | `toString()` Returns a string representation of this object.

    - ### Methods inherited from class org.apache.xerces.util.XMLResourceIdentifierImpl

      `getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId, setValues, setValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xerces.xni.XMLResourceIdentifier

      `getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId`

- - ### Field Detail

    - #### fEntityName

          protected java.lang.String fEntityName

      The name of the entity.

  - ### Constructor Detail

    - #### XMLEntityDescriptionImpl

          public XMLEntityDescriptionImpl()

      Constructs an empty entity description.

    - #### XMLEntityDescriptionImpl

          public XMLEntityDescriptionImpl(java.lang.String entityName,
                                  java.lang.String publicId,
                                  java.lang.String literalSystemId,
                                  java.lang.String baseSystemId,
                                  java.lang.String expandedSystemId)

      Constructs an entity description.
      Parameters:
        `entityName` - The name of the entity.
        `publicId` - The public identifier.
        `literalSystemId` - The literal system identifier.
        `baseSystemId` - The base system identifier.
        `expandedSystemId` - The expanded system identifier.

    - #### XMLEntityDescriptionImpl

          public XMLEntityDescriptionImpl(java.lang.String entityName,
                                  java.lang.String publicId,
                                  java.lang.String literalSystemId,
                                  java.lang.String baseSystemId,
                                  java.lang.String expandedSystemId,
                                  java.lang.String namespace)

      Constructs a resource identifier.
      Parameters:
        `entityName` - The name of the entity.
        `publicId` - The public identifier.
        `literalSystemId` - The literal system identifier.
        `baseSystemId` - The base system identifier.
        `expandedSystemId` - The expanded system identifier.
        `namespace` - The namespace.

  - ### Method Detail

    - #### setEntityName

          public void setEntityName(java.lang.String name)

      Sets the name of the entity.
      Specified by:
        `setEntityName` in interface `XMLEntityDescription`
      Parameters:
        `name` - the name of the entity

    - #### getEntityName

          public java.lang.String getEntityName()

      Returns the name of the entity.
      Specified by:
        `getEntityName` in interface `XMLEntityDescription`
      Returns:
        the name of the entity

    - #### setDescription

          public void setDescription(java.lang.String entityName,
                            java.lang.String publicId,
                            java.lang.String literalSystemId,
                            java.lang.String baseSystemId,
                            java.lang.String expandedSystemId)

      Sets the values of this entity description.

      Parameters:
        `entityName` - The name of the entity.
        `publicId` - The public identifier.
        `literalSystemId` - The literal system identifier.
        `baseSystemId` - The base system identifier.
        `expandedSystemId` - The expanded system identifier.

    - #### setDescription

          public void setDescription(java.lang.String entityName,
                            java.lang.String publicId,
                            java.lang.String literalSystemId,
                            java.lang.String baseSystemId,
                            java.lang.String expandedSystemId,
                            java.lang.String namespace)

      Sets the values of this entity description.

      Parameters:
        `entityName` - The name of the entity.
        `publicId` - The public identifier.
        `literalSystemId` - The literal system identifier.
        `baseSystemId` - The base system identifier.
        `expandedSystemId` - The expanded system identifier.
        `namespace` - The namespace.

    - #### clear

          public void clear()

      Clears the values.

      Overrides:
        `clear` in class `XMLResourceIdentifierImpl`

    - #### hashCode

          public int hashCode()

      Returns a hash code for this object.
      Overrides:
        `hashCode` in class `XMLResourceIdentifierImpl`

    - #### toString

          public java.lang.String toString()

      Returns a string representation of this object.
      Overrides:
        `toString` in class `XMLResourceIdentifierImpl`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.